"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-38/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fa8f70>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae040>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae0d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae1f0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae280>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae310>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae3a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae430>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae4c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae550>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae5e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae670>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae700>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae790>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae820>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae8b0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fae9d0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faea60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faeaf0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faeb80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faec10>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faeca0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faedc0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faed30>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faee50>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faeee0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xff8949faef70>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1040>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb10d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1160>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb11f0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1280>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1310>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb13a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1430>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb14c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1550>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb15e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1670>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1700>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1790>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1820>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb18b0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1940>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb19d0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1a60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1af0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1b80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1c10>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1ca0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1d30>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1dc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1e50>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1ee0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb1f70>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4040>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb40d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4160>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb41f0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4280>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4310>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb43a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4430>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb45e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb44c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4670>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4700>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4790>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4820>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb48b0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb49d0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4940>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4a60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4af0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4b80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4ca0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4c10>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4d30>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4dc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4e50>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4ee0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xff8949fb4f70>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xff8949d11040>)]
name: str = 'fr_HOCCN'
